apiVersion: apps/v1
kind: Deployment
metadata:
  name: vitrine-deployment
  labels:
    app: vitrine
spec:
  replicas: 1
  selector:
    matchLabels:
      app: vitrine
  template:
    metadata:
      labels:
        app: vitrine
    spec:
      imagePullSecrets:
        - name: gitlab-registry-secret
      containers:
      - name: vitrine
        image: registry.gitlab.com/cpelyon/5irc-minekloud/front/vitrine:latest
        ports:
        - containerPort: 80
        resources:
          limits:
            cpu: "250m"
            memory: "250Mi"
          requests:
            cpu: "50m"
            memory: "50Mi"
